#ifndef HARKTOOL4_TFMAKER_HPP
#define HARKTOOL4_TFMAKER_HPP

#include <memory>
#include <ostream>
#include <boost/program_options.hpp>

/** @file
 * TFMaker クラスの定義
 */

namespace harktool4
{

/** @brief HARKファイル（伝達関数ファイル）を生成する機能を提供するクラス。
 */
class TFMaker
{
public:
    TFMaker(const boost::program_options::variables_map& vm, std::shared_ptr<std::ostream> output_file);
    TFMaker(const TFMaker& rhs) = delete;
    TFMaker& operator =(const TFMaker&) = delete;
    void Run();
private:
    class Impl;
    std::shared_ptr<Impl> impl_;
};

}

#endif // HARKTOOL4_TFMAKER_HPP

